using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    /* 调用测试通过（目前有请求异常）
     *<?xml version="1.0" encoding="utf-8" ?>
     *<Transfer attribute="Connect">
     * <ext id="200"/>
     * <ext id="208"/>
     *</Transfer>
     *
     */
    [XmlRoot(ElementName = "Transfer")]
    public class ExtensionToExtensionRequest : INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("ext")]
        public List<ExtToExtExt> Exts { get; set; }

    }

    public class ExtToExtExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
